<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: rokslideshow_admin.php
| Author: HobbyMan
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INFUSIONS."welcome_slideshow_panel/infusion_db.php";

if (!checkrights("ROKP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("index.php"); }

if (file_exists(INFUSIONS."welcome_slideshow_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."welcome_slideshow_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."welcome_slideshow_panel/locale/English.php";
}

add_to_title(" | ".$locale['rok_001'].$locale['global_200'].$locale['rok_101']);
$img_help = "<img src='".INFUSIONS."welcome_slideshow_panel/img/huh.png' border='0' alt='".$locale['rok_106']."' title='".$locale['rok_106']."' />";

$image_folder = INFUSIONS."welcome_slideshow_panel/images/";

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "sn") {
		$message = $locale['rok_111'];
	} elseif ($_GET['status'] == "su") {
		$message = $locale['rok_110'];
	} elseif ($_GET['status'] == "de") {
		$message = $locale['rok_113'];
	}
	if ($message) {	echo "<div class='admin-message'>".$message."</div>\n"; }
}

if ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['pic_name']) && isnum($_GET['pic_name']))) {
    unlink( $image_folder.stripinput($_GET['del']));
	$result = dbquery("DELETE FROM ".DB_ROKINPUT." WHERE pic_name='".$_GET['pic_name']."'");
		redirect(FUSION_SELF.$aidlink."&status=de");
	} else {
	if (isset($_POST['save_pic'])) {
		$pic_title = stripinput(trim($_POST['pic_title']));
		$pic_name = stripinput(trim($_POST['pic_name']));
		$pic_text = stripinput(trim($_POST['pic_text']));
		$pic_url = stripinput(trim($_POST['pic_url']));
		
		if ($pic_title) {
			if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['pic_id']) && isnum($_GET['pic_id']))) {
				$result = dbquery("UPDATE ".DB_ROKINPUT." SET pic_title='$pic_title' WHERE pic_id='".$_GET['pic_id']."'");
				$result = dbquery("UPDATE ".DB_ROKINPUT." SET pic_name='$pic_name' WHERE pic_id='".$_GET['pic_id']."'");
				$result = dbquery("UPDATE ".DB_ROKINPUT." SET pic_text='$pic_text' WHERE pic_id='".$_GET['pic_id']."'");
				$result = dbquery("UPDATE ".DB_ROKINPUT." SET pic_url='$pic_url' WHERE pic_id='".$_GET['pic_id']."'");
				redirect(FUSION_SELF.$aidlink."&status=su");
			} else {
				$result = dbquery("INSERT INTO ".DB_ROKINPUT." (pic_title, pic_name, pic_text, pic_url) VALUES ('$pic_title', '$pic_name', '$pic_text', '$pic_url')");
			
				redirect(FUSION_SELF.$aidlink."&status=sn");
			}
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	}
	if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['pic_id']) && isnum($_GET['pic_id']))) {
		$result = dbquery("SELECT * FROM ".DB_ROKINPUT." WHERE pic_id='".$_GET['pic_id']."'");
		if (dbrows($result)) {
			$data = dbarray($result);
			$pic_title = $data['pic_title'];
			$pic_name = $data['pic_name'];
			$pic_text = $data['pic_text'];
			$pic_url = $data['pic_url'];

			$formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;pic_id=".$data['pic_id'];
			opentable($locale['rok_108']." ".$data['pic_title']);
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	} else {
		$pic_title = "";
		$pic_name = "";
		$pic_text = "";
		$pic_url = "";

		$formaction = FUSION_SELF.$aidlink;
		opentable($locale['rok_101']);
	}
	
	 $check_number = dbcount("(pic_id)", DB_ROKINPUT);
	 if ($check_number > 6) { $fail = $locale['rok_206']; } else { $fail = ""; }

	echo "<form name='addcat' method='post' action='$formaction' onsubmit='return validateArticle(this);'>\n";
	echo "<table cellpadding='0' cellspacing='0' width='400' class='center'>\n<tr>\n";
	echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['rok_004'].":<span style='color:red;'><b>*</b></span></td>\n";
	echo "<td class='tbl'>";
	
      $image_files = makefilelist($image_folder, ".|..|index.php", true);
	  $image_list = makefileopts($image_files);
	  	
	 echo "<select name='pic_name' class='textbox'>";
	 echo "<option value='".$pic_name."'>".$locale['rok_004']."</option>\n".$image_list."</select>";
	 echo "</td>\n";
	 echo "</tr>\n<tr>\n";
	 echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['rok_102'].":<span style='color:red;'><b>*</b></span></td>\n";
	 echo "<td class='tbl'><input type='text' name='pic_title' value='".$pic_title."' class='textbox' style='width:300px;' /></td>\n";
	 echo "</tr>\n<tr>\n";
	 echo "<td width='1%' class='tbl' style='white-space:nowrap' valign='top'>".$locale['rok_103'].":<span style='color:red;'><b>*</b></span></td>\n";
	 echo "<td class='tbl'><textarea name='pic_text' rows='4' cols='44' class='textbox' style='width:300px;'>".stripslashes($pic_text)."</textarea></td>\n";
	 echo "</tr>\n<tr>\n";
	 echo "<td width='1%' class='tbl' style='white-space:nowrap' valign='top'>".$locale['rok_105'].":</td>\n";
	 echo "<td class='tbl'>http:// <input type='text' name='pic_url' value='".$pic_url."' class='textbox' style='width:256px;' /></td>\n";
	 echo "</tr>\n<tr>\n";
	 echo "<td align='center' colspan='2' class='tbl'>\n";
	 echo "<input type='submit' name='save_pic' value='".$locale['rok_200']."' class='button' />\n</td>\n";
	 echo "</tr>\n</table>\n</form>\n";
	 
	 closetable();
	 
	opentable($locale['rok_118']);
	echo "<table cellpadding='0' cellspacing='1' width='600' class='tbl-border center'>\n";
	$result = dbquery("SELECT * FROM ".DB_ROKINPUT." ORDER BY pic_id ASC");
	if (dbrows($result) != 0) {
		$i = 0;
		echo "<tr>\n";
		echo "<td class='tbl2' colspan='4'><strong>".$locale['rok_104']."</strong></td>\n";
		echo "</tr>\n";
		while ($data = dbarray($result)) {
			$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
			echo "<tr>\n";
			echo "<td rowspan='2' class='$cell_color' width='1%'>".$data['pic_id']."</td>\n";
            echo "<td  class='$cell_color' style='white-space:nowrap'><strong>".$data['pic_title']." - [".$data['pic_name']."</strong>]</td>\n";
			echo "<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'><a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;pic_id=".$data['pic_id']."'>".$locale['rok_108']."</a> -\n";
			echo "<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;pic_name=".$data['pic_name']."' onclick=\"return confirm('".$locale['rok_112'].$data['pic_id'].$locale['rok_117']."');\">".$locale['rok_109']."</a></td>\n";
			echo "</tr>\n";
			echo "<tr>\n<td class='$cell_color' colspan='2' style='white-space:nowrap'><strong>".$locale['rok_103']."</strong> ".parseubb(stripslashes($data['pic_text']))."<br />\n";
			if ($data['pic_url']) {
			echo "".$locale['rok_105'].": <a href='http://".$data['pic_url']."' title='' >".$data['pic_url']."</a></td>\n<td>&nbsp;</td></tr>\n";
		} else {
			echo "<strong>".$locale['rok_105'].":</strong> ".$locale['rok_121']."</td>\n<td>&nbsp;</td></tr>\n";
	}
			$i++;
		}
		echo "</table>\n";
	} else {
		echo "<tr><td align='center' class='tbl1'>".$locale['rok_201']."</td></tr>\n</table>\n";
	}
	closetable();
 }
 
   echo "<div align='right' >\n";
    echo "<input id='checkkey' type='checkbox' />".$img_help."<div id='showkey'>\n<label>";
opentable($locale['rok_106']);
      echo "".$locale['rok_107']."<br />\n";
closetable();
    echo "</label>\n</div>\n</div>\n";
 
echo "<script type='text/javascript'>
function validateArticle(frm) {
	if (frm.pic_name.value==\"\") {
		alert(\"".$locale['rok_203']."\");
		return false;
	}
	
		if (frm.pic_title.value==\"\") {
		alert(\"".$locale['rok_204']."\");
		return false;
	}
     
	 	if (frm.pic_text.value==\"\") {
		alert(\"".$locale['rok_205']."\");
		return false;
	}

}
</script>\n";

include INFUSIONS."welcome_slideshow_panel/js/check.js";

// Please do not remove copyright info
   $title = $locale['rok_001'];
   $data_v = dbarray(dbquery("SELECT inf_version FROM ".DB_INFUSIONS." WHERE inf_title = '".$title."'"));	
   $version = $data_v['inf_version'];
   echo "<br /><div class='small' align='center'><hr width='80%'>".$title." [v".$version."] by <a target='_blank' href='http://www.hobbysites.net'>HobbyMan</a> ".date("Y")."<br /><hr width='60%'></div>\n";
// End copyright info

require_once THEMES."templates/footer.php";
?>