<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: HobbyMan
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."welcome_slideshow_panel/infusion_db.php";

if (file_exists(INFUSIONS."welcome_slideshow_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."welcome_slideshow_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."welcome_slideshow_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['rok_001'];
$inf_description = $locale['rok_002'];
$inf_version = "1.0";
$inf_developer = "HobbyMan";
$inf_email = "";
$inf_weburl = "http://www.hobbysites.net";

$inf_folder = "welcome_slideshow_panel";

$inf_newtable[1] = DB_ROKINPUT." (
  pic_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
  pic_name VARCHAR(100) NOT NULL DEFAULT '',
  pic_title VARCHAR(100) NOT NULL DEFAULT '',
  pic_text VARCHAR(100) NOT NULL DEFAULT '',
  pic_url VARCHAR(100) NOT NULL DEFAULT '',
PRIMARY KEY (pic_id)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_PANELS." SET panel_name='".$locale['rok_001']."', panel_filename='".$inf_folder."', panel_content='', panel_side=2, panel_order='1', panel_type='file', panel_access='0', panel_display='0', panel_status='1' ";

$inf_droptable[1] = DB_ROKINPUT;
$inf_deldbrow[1] = DB_PANELS." WHERE panel_filename='$inf_folder'";

$inf_adminpanel[1] = array(
	"title" => $locale['rok_101'],
	"image" => "image.gif",
	"panel" => "admin/welcome_slideshow_admin.php",
	"rights" => "ROKP"
);

?>