<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: welcome_slideshow_panel.php
| Configured for PHP-Fusion from Joomla extension by
| http://demo.rockettheme.com/extensions/
| Author: HobbyMan
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."welcome_slideshow_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."welcome_slideshow_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."welcome_slideshow_panel/locale/English.php";
}
include INFUSIONS."welcome_slideshow_panel/infusion_db.php";
add_to_head("<link href='".INFUSIONS."welcome_slideshow_panel/styles/rokstyle.css' rel='stylesheet' type='text/css' />
             <script type='text/javascript' src='".INFUSIONS."welcome_slideshow_panel/js/mootools-release-1.11.js'></script>
             <script type='text/javascript' src='".INFUSIONS."welcome_slideshow_panel/js/rokslideshow.js'></script>
             ");
             
$imagePath = INFUSIONS."welcome_slideshow_panel/images/";

opentable($locale['rok_003'].$settings['sitename']);
	echo "<div class='wrapper'>
	        <div id='slidewrap'>
			  <div id='slideshow'></div>
			    <div id='loadingDiv'></div>
		</div>\n";
			
		?>
		<script type='text/javascript'>
			window.RokSlideshowPath = '';

			var myshow;
			window.addEvent('load', function(){
				var imgs = [];

				<?php 
				$result = dbquery("SELECT 
	                          pic_title, 
	                          pic_name, 
	                          pic_text, 
	                          pic_url 
	                          FROM ".DB_ROKINPUT." 
	                          ORDER BY 
	                          pic_id 
	                          ASC LIMIT 0,5
	                          ");
	
	if (dbrows($result) != 0) {
		while ($data = dbarray($result)) {
		
		$image = $data['pic_name'];
		$title = $data['pic_title'];
		$text = $data['pic_text'];
		if ($data['pic_url']) {
		$url = "http://".$data['pic_url']."";
		} else {
		$url = FUSION_SELF;
	 }
		
		?>
		
		imgs.push({
					file: '<?php echo $image; ?>',
					title: '<?php echo $title; ?>',
					desc: '<?php echo $text; ?>',
					url: '<?php echo $url; ?>'
				});
		
		<?php
			
		}
	 } else {
	    
	    ?>
	 
	 imgs.push({
					file: '<?php echo ""; ?>',
					title: '<?php echo ""; ?>',
					desc: '<?php echo $locale['rok_208']; ?>',
					url: '<?php echo ""; ?>'
				});
		
		<?php } ?>

				myshow = new Slideshow('slideshow', { 
					type: 'combo',
					showTitleCaption: 1,
					captionHeight: 45,
					width: 450, 
					height: 300, 
					pan: 20,
					zoom: 30,
					loadingDiv: 1,
					resize: true,
					duration: [2000, 9000],
					transition: Fx.Transitions.Expo.easeOut,
					images: imgs, 
					path: '<?php echo $imagePath; ?>'
				});

				myshow.caps.h2.setStyles({
					color: '#fff',
					fontSize: '13px'
				});
				myshow.caps.p.setStyles({
					color: '#ccc',
					fontSize: '11px'
				});
			});
		</script>
<?php
closetable();
?>